from llm_rng.rng_generator import LLMRNG
from llm_rng.prompt_generator import PromptGenerator


def main():
    rng = LLMRNG()
    prompt_gen = PromptGenerator()

    print("Running LLM-based random number generation experiment...")
    for i in range(5):
        prompt = prompt_gen.get_random_prompt()
        random_number = rng.generate_random_number(prompt, 1, 100)
        print(f"Random number {i + 1}: {random_number}")


if __name__ == "__main__":
    main()
